<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <path>on-off.ac</path>

  <animation>
    <object-name>base</object-name>
    <object-name>on-off</object-name>
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>base</object-name>
  </animation>

  <animation>
    <type>material</type>
    <object-name>on-off</object-name>
    <condition>
      <property>controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>controls/lighting/instruments-norm</factor-prop>
      <red>   0.50 </red>
      <green> 0.40 </green>
      <blue>  0.30 </blue>
    </emission>
  </animation>

  <animation>
    <type>pick</type>
    <visible>true</visible>
    <object-name>on-off</object-name>
    <action>
      <button>0</button>
      <repeatable>false</repeatable>
      <binding>
        <command>property-toggle</command>
        <property>/controls/fuel/tank[0]/boost-pump</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>/controls/fuel/tank[1]/boost-pump</property>
      </binding>
    </action>
  </animation>

  <animation>
    <type>rotate</type>
    <object-name>on-off</object-name>
    <property>/controls/fuel/tank[0]/boost-pump</property>
    <factor> 25 </factor>
    <axis>
      <x>  0 </x>
      <y> -1 </y>
      <z>  0 </z>
    </axis>
  </animation>

</PropertyList>
